package com.pronostico.persistencia;
// Generated 8/12/2018 09:54:20 PM by Hibernate Tools 4.3.1


import java.util.Objects;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Pronostico generated by hbm2java
 */
@Entity
@Table(name="pronostico"
    ,catalog="pronosticows"
)
public class Pronostico  implements java.io.Serializable {


     private PronosticoId id;
     private Float temperaturaFahrenheit;
     private Float temperaturaCentigrados;
     private Float porcentajeHumedad;
     private String tipoNubosidad;
     private Float probabilidadPrecipitacion;

    public Pronostico() {
    }
    
    

	
    public Pronostico(PronosticoId id) {
        this.id = id;
    }
    public Pronostico(PronosticoId id, Float temperaturaFahrenheit, Float temperaturaCentigrados, Float porcentajeHumedad, String tipoNubosidad, Float probabilidadPrecipitacion) {
       this.id = id;
       this.temperaturaFahrenheit = temperaturaFahrenheit;
       this.temperaturaCentigrados = temperaturaCentigrados;
       this.porcentajeHumedad = porcentajeHumedad;
       this.tipoNubosidad = tipoNubosidad;
       this.probabilidadPrecipitacion = probabilidadPrecipitacion;
    }
   
     @EmbeddedId

    
    @AttributeOverrides( {
        @AttributeOverride(name="ciudad", column=@Column(name="ciudad", nullable=false, length=20) ), 
        @AttributeOverride(name="fecha", column=@Column(name="fecha", nullable=false, length=10) ) } )
    public PronosticoId getId() {
        return this.id;
    }
    
    public void setId(PronosticoId id) {
        this.id = id;
    }

    
    @Column(name="temperatura_fahrenheit", precision=12, scale=0)
    public Float getTemperaturaFahrenheit() {
        return this.temperaturaFahrenheit;
    }
    
    public void setTemperaturaFahrenheit(Float temperaturaFahrenheit) {
        this.temperaturaFahrenheit = temperaturaFahrenheit;
    }

    
    @Column(name="temperatura_centigrados", precision=12, scale=0)
    public Float getTemperaturaCentigrados() {
        return this.temperaturaCentigrados;
    }
    
    public void setTemperaturaCentigrados(Float temperaturaCentigrados) {
        this.temperaturaCentigrados = temperaturaCentigrados;
    }

    
    @Column(name="porcentaje_humedad", precision=12, scale=0)
    public Float getPorcentajeHumedad() {
        return this.porcentajeHumedad;
    }
    
    public void setPorcentajeHumedad(Float porcentajeHumedad) {
        this.porcentajeHumedad = porcentajeHumedad;
    }

    
    @Column(name="tipo_nubosidad", length=40)
    public String getTipoNubosidad() {
        return this.tipoNubosidad;
    }
    
    public void setTipoNubosidad(String tipoNubosidad) {
        this.tipoNubosidad = tipoNubosidad;
    }

    
    @Column(name="probabilidad_precipitacion", precision=12, scale=0)
    public Float getProbabilidadPrecipitacion() {
        return this.probabilidadPrecipitacion;
    }
    
    public void setProbabilidadPrecipitacion(Float probabilidadPrecipitacion) {
        this.probabilidadPrecipitacion = probabilidadPrecipitacion;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 89 * hash + Objects.hashCode(this.id);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Pronostico other = (Pronostico) obj;
        if (!Objects.equals(this.id, other.id)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Pronostico{" + "id=" + id + ", temperaturaFahrenheit=" + temperaturaFahrenheit + ", temperaturaCentigrados=" + temperaturaCentigrados + ", porcentajeHumedad=" + porcentajeHumedad + ", tipoNubosidad=" + tipoNubosidad + ", probabilidadPrecipitacion=" + probabilidadPrecipitacion + '}';
    }
    
    
    
    
    




}


